> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thanks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhooks

> Return a paginated list of configured webhooks. Webhooks are available on paid subscriptions only.

<Note>
  Webhooks are available on paid subscriptions only.
</Note>


## OpenAPI

````yaml get /webhooks
openapi: 3.1.0
info:
  title: thanks.io API
  description: >-
    Use the thanks.io API to send postcards, letters, notecards, windowless
    letters, and gift cards.
  contact:
    url: https://www.thanks.io
    email: support@thanks.io
  version: 1.0.0
servers:
  - url: https://api.thanks.io/api/v2
    description: The main API server for thanks.io
security:
  - bearerAuth: []
tags:
  - name: Recipients
  - name: Mailing Lists
  - name: Send Mailer
  - name: Orders
  - name: Message Templates
  - name: Image Templates
  - name: Handwriting Styles
  - name: Giftcards
  - name: Dynamic Images
    description: ''
  - name: Image Builder
  - name: Sub Accounts
externalDocs:
  description: Learn more about thanks.io
  url: https://docs.thanks.io
paths:
  /webhooks:
    get:
      tags:
        - Webhooks
      summary: List Webhooks
      description: >-
        Return a paginated list of configured webhooks. Webhooks are available
        on paid subscriptions only.
      parameters:
        - $ref: '#/components/parameters/items_per_page'
      responses:
        '200':
          description: OK
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 11
                        user_id:
                          type: integer
                          example: 2
                        mailing_list_id:
                          type:
                            - integer
                            - 'null'
                          example: 1
                        type:
                          $ref: '#/components/schemas/webhook-type'
                        description:
                          type:
                            - string
                            - 'null'
                          example: Webhook for order item status updates
                        invoke_count:
                          type: integer
                          example: 0
                        url:
                          type: string
                          format: uri
                          example: https://example.com/webhooks/thanksio
                        verb:
                          type: string
                          example: post
                        created_at:
                          type:
                            - string
                            - 'null'
                          format: date-time
                          example: '2026-03-02T02:10:29.000000Z'
                        updated_at:
                          type: string
                          format: date-time
                          example: '2026-03-10T17:45:02.000000Z'
                        deleted_at:
                          type:
                            - string
                            - 'null'
                          format: date-time
                          example: null
                  links:
                    $ref: '#/components/schemas/links'
                  meta:
                    $ref: '#/components/schemas/meta'
                  can_manage_webhooks:
                    type: boolean
                    example: true
              example:
                data:
                  - id: 11
                    user_id: 2
                    mailing_list_id: 1
                    type: order_item.status_update
                    description: Updated webhook destination
                    invoke_count: 0
                    url: https://example.com/webhooks/thanksio-updated
                    verb: get
                    created_at: '2026-03-02T02:10:33.000000Z'
                    updated_at: '2026-03-02T02:23:27.000000Z'
                    deleted_at: null
                  - id: 10
                    user_id: 2
                    mailing_list_id: null
                    type: order.status_update
                    description: Order status updates
                    invoke_count: 70
                    url: https://example.com/webhooks/thanksio
                    verb: post
                    created_at: '2026-03-02T02:10:29.000000Z'
                    updated_at: '2026-03-10T17:45:02.000000Z'
                    deleted_at: null
                links:
                  first: https://api.thanks.io/api/v2/webhooks?page=1
                  last: https://api.thanks.io/api/v2/webhooks?page=1
                  prev: null
                  next: null
                meta:
                  current_page: 1
                  from: 1
                  last_page: 1
                  path: https://api.thanks.io/api/v2/webhooks
                  per_page: '15'
                  to: 2
                  total: 2
                can_manage_webhooks: true
        '403':
          $ref: '#/components/responses/Unauthorized'
components:
  parameters:
    items_per_page:
      name: items_per_page
      in: query
      description: Number of items to return per page.
      required: false
      schema:
        type: integer
        default: 25
      example: 5
  schemas:
    webhook-type:
      type: string
      enum:
        - order_item.status_update
        - order.status_update
        - order_item.delivered
        - scans.scan_update
      example: order_item.status_update
    links:
      type: object
      properties:
        first:
          type:
            - string
            - 'null'
          description: URL of the first page of results
        last:
          type:
            - string
            - 'null'
          description: URL of the last page of results
        prev:
          type:
            - string
            - 'null'
          description: URL of the previous page of results
        next:
          type:
            - string
            - 'null'
          description: URL of the next page of results
    meta:
      type: object
      properties:
        current_page:
          type: integer
          example: 1
          description: Current page number
        from:
          type:
            - integer
            - 'null'
          example: 1
          description: Index of the first item on the current page
        last_page:
          type: integer
          example: 1
          description: Total number of pages
        path:
          type: string
          description: Base URL for the resource
        per_page:
          type: integer
          example: 25
          description: Number of items per page
        to:
          type:
            - integer
            - 'null'
          example: 1
          description: Index of the last item on the current page
        total:
          type: integer
          example: 1
          description: Total number of items
  responses:
    Unauthorized:
      description: Access token is missing or invalid
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthorized
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication using your thanks.io API key

````